org.apache.nutch.crawl

## Class CrawlDbReader.CrawlDatumCsvOutputFormat

- java.lang.Object
- - org.apache.hadoop.mapreduce.OutputFormat<K,V>
  - - org.apache.hadoop.mapreduce.lib.output.FileOutputFormat<Text,CrawlDatum>
    - - org.apache.nutch.crawl.CrawlDbReader.CrawlDatumCsvOutputFormat

- Enclosing class:
    CrawlDbReader

      public static class CrawlDbReader.CrawlDatumCsvOutputFormat
      extends FileOutputFormat<Text,CrawlDatum>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `CrawlDbReader.CrawlDatumCsvOutputFormat.LineRecordWriter`

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `FileOutputFormat.Counter`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `BASE_OUTPUT_NAME, COMPRESS, COMPRESS_CODEC, COMPRESS_TYPE, OUTDIR, PART`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrawlDatumCsvOutputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecordWriter<Text,CrawlDatum>` | `getRecordWriter(TaskAttemptContext context)`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `checkOutputSpecs, getCompressOutput, getDefaultWorkFile, getOutputCommitter, getOutputCompressorClass, getOutputName, getOutputPath, getPathForWorkFile, getUniqueFile, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputName, setOutputPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CrawlDatumCsvOutputFormat

          public CrawlDatumCsvOutputFormat()

  - ### Method Detail

    - #### getRecordWriter

          public RecordWriter<Text,CrawlDatum> getRecordWriter(TaskAttemptContext context)
                                                        throws IOException

      Specified by:
        `getRecordWriter` in class `FileOutputFormat<Text,CrawlDatum>`
      Throws:
        `IOException`

Copyright © 2021 The Apache Software Foundation